@media (max-width: 1799px) {
  .newly-built-comfort-content {
    padding: 125px 120px 80px 80px;
  }
}
@media (max-width: 1699px) {
  /* modern comfort */
  .modern-comfort-awaits-inner {
    gap: 30px;
  }
  /* modern comfort */

  /* newly built */
  .newly-built-comfort-content {
    padding: 40px;
  }
  /* newly built */

  /* home brew */
  .home-brew-image-block {
    min-height: 360px;
  }
  .home-brew-image-wrap {
    display: flex;
    row-gap: 20px;
    column-gap: 20px;
  }
  /* home brew */

  /* nearby-attraction */
  .nearby-attraction-block .nearby-attraction-image *,
  .nearby-attraction-block .nearby-attraction-image {
    height: 430px;
  }
  /* nearby-attraction */
}

@media (max-width: 1599px) {
  .home-brew-right-image-wrapper {
    width: 41%;
  }
  .map-main iframe {
    height: 690px;
  }
}

/* ==================== [ 1500px ] ==================== */
@media (min-width: 1500px) {
  /* ==================== [ Common Start ] ==================== */
  .container-fluid,
  .container {
    max-width: calc(var(--container) + (var(--container-padding) * 2));
  }

  .header .container {
    max-width: 1740px;
  }

  .header-top .container {
    max-width: 1740px;
  }

  /* ==================== [ Common End ] ==================== */
}
@media (max-width: 1499px) {
  :root {
    --h1-fs: 60px;
    --h2-fs: 55px;
  }
  .facilities-icon {
    height: 30px;
    width: 30px;
  }
  .facilities-in-rooms {
    bottom: 30px;
    left: 30px;
    right: 30px;
  }
  .modern-comfort-awaits-inner {
    gap: 20px;
  }

  .our-amenities-main {
    padding: 90px 0;
  }
  /* modern comfort */

  .reach-out-left {
    padding: 49px 30px;
  }
  .reach-out {
    padding: 100px 0;
  }

  /* about page */
  .about-amenities {
    padding: 100px 0;
  }
  /* about page */

  .room-tabs .nav-link.room-pill {
    width: 160px;
    height: 50px;
  }
  .explore-tabbing-wrapper .nav {
    column-gap: 54px;
  }
}

/* ==================== [ 1399px ] ==================== */
@media (max-width: 1399px) {
  .header-top ul {
    gap: 10px;
  }
  .header-top ul li a {
    font-size: 14px;
  }

  :root {
    --h2-fs: 50px;
    --h3-fs: 30px;
  }

  .btn {
    padding: 13px 45px;
  }

  .subscribe-form {
    max-width: 560px;
  }

  .our-amenities-block .our-amenities-icon {
    height: 130px;
    width: 130px;
    padding: 35px;
  }

  .home-brew-image-block {
    min-height: 280px;
  }
  .home-brew-right-image {
    padding: 50px 20px 70px 80px;
  }
  .home-brew-left .detail {
    max-width: 722px;
    padding-bottom: 30px;
  }
  .home-brew-image-wrap {
    padding-bottom: 95px;
  }

  /* about page */
  .about-amenities {
    padding: 90px 0;
  }
  /* about page */

  /* nearby-attraction */
  .nearby-attraction-block .nearby-attraction-image *,
  .nearby-attraction-block .nearby-attraction-image {
    height: 390px;
  }
  .nearby-places-main .modern-comfort-awaits-inner .row > * {
    padding-inline: 12px;
  }
  .nearby-places-main .modern-comfort-awaits-inner .row {
    margin-inline: -12px;
    row-gap: 40px;
  }
  /* nearby-attraction */

  .gallery-inner .filter-list ul li a {
    font-size: 22px;
  }
  .gallery-inner .filter-list ul li {
    margin: 0 24px;
  }

  .explore-tabbing-wrapper .nav {
    column-gap: 20px;
  }
  .room-tabs .nav-link.room-pill {
    width: 140px;
    height: 50px;
  }

  .facilities-main-img-wrap .facilities-main-img {
    height: 600px;
  }

  .explore-tabbing-wrapper .nav .nav-item span {
    font-size: 25px;
  }
}

/* ==================== [ 1199px ] ==================== */
@media (max-width: 1199px) {
  /* Header Start */
  .navbar-toggler {
    position: relative;
    z-index: 99;
    padding: 0;
    border: none;
    height: 30px;
    width: 30px;
    border-radius: 0;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    -ms-border-radius: 0;
    -o-border-radius: 0;
  }
  .navbar-collapse {
    position: fixed;
    top: 0;
    right: -100%;
    max-width: 100%;
    width: 100%;
    bottom: 0;
    height: 100%;
    padding: 150px 0 40px;
    overflow: auto;
    background-color: var(--primary);
    transition: 0.5s;
    z-index: 9;
    -webkit-transition: 0.5s;
    -moz-transition: 0.5s;
    -ms-transition: 0.5s;
    -o-transition: 0.5s;
  }
  .navbar-collapse.show {
    right: 0;
    height: auto;
  }
  .navbar-collapse.show::before {
    right: 0;
  }
  .navbar-collapse::before {
    content: "";
    position: fixed;
    width: 100%;
    height: 150px;
    top: 0;
    right: -100%;
    background-color: var(--primary);
    transition: 0.5s;
    z-index: 9;
  }
  .navbar .navbar-nav {
    position: relative;
    top: 0;
    margin: 0 !important;
    padding: 0 17px;
  }
  .header .navbar-nav .nav-item {
    padding: 10px 0;
  }
  .navbar-toggler span {
    background-color: var(--white);
    width: 25px;
    height: 2px;
    display: block;
    margin: 0 auto 5px;
    position: relative;
    transition: 0.5s;
    -webkit-transition: 0.5s;
    -moz-transition: 0.5s;
    -ms-transition: 0.5s;
    -o-transition: 0.5s;
  }
  .navbar-toggler span:last-child {
    margin-bottom: 0;
  }
  .navbar-toggler.open span:first-child {
    top: 5px;
    transform: rotate(45deg);
  }
  .navbar-toggler.open span:nth-child(2) {
    display: none;
  }
  .navbar-toggler.open span:last-child {
    top: -2px;
    transform: rotate(-45deg);
  }
  .navbar-toggler:focus {
    box-shadow: none;
  }
  .header .navbar-nav .nav-item .nav-link {
    color: var(--white);
  }
  .header-btn {
    margin: 20px 17px 0 17px;
  }
  .header .navbar-nav .nav-item .nav-link.dropdown-toggle {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
  }
  .header .btn-white {
    padding: 7px 7px 7px 15px;
    font-size: 17px;
  }
  .header .navbar-nav .nav-item .nav-link {
    font-size: 17px;
  }
  .navbar-nav .dropdown-menu li a {
    font-size: 17px;
  }
  .navbar-nav .dropdown-menu li a {
    font-size: 17px;
    line-height: 26px;
    white-space: normal;
    color: var(--white);
  }
  .header .container-fluid {
    padding-left: 0;
    padding-right: 0px;
  }
  .navbar-nav .dropdown-menu {
    background-color: transparent;
  }
  .navbar-nav .dropdown-menu li {
    border-bottom: 1px solid rgba(255, 255, 255, 0.2);
  }
  .navbar-nav .dropdown-menu li a:hover,
  .navbar-nav .dropdown-menu li a.active {
    color: var(--primary);
  }
  .navbar-toggler span:last-child {
    margin-bottom: 0;
  }
  .navbar-toggler.open span:first-child {
    top: 5px;
    transform: rotate(45deg);
  }
  .navbar-toggler.open span:nth-child(2) {
    display: none;
  }
  .navbar-toggler.open span:last-child {
    top: -2px;
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
  }
  .header .navbar-nav .nav-item:last-child {
    margin-right: 15px;
  }
  .header-top-inner {
    margin-top: 20px;
    padding: 0 20px;
  }

  .header-top-inner ul {
    display: flex;
    flex-direction: column;
    gap: 10px;
    justify-content: center;
    text-align: center;
  }
  .header-socials ul {
    flex-direction: row;
    margin-top: 20px;
  }
  .header .navbar-brand {
    max-width: 70px;
  }
  .banner-content {
    padding: 260px 0 101px 0;
  }
  :root {
    --h1-fs: 60px;
    --h2-fs: 48px;
    --h3-fs: 26px;
  }

  .header-contact ul li a:hover {
    color: var(--black-50) !important;
  }

  .header-socials ul li a {
    height: 35px;
    width: 35px;
  }

  /* subscription */

  .subscription-inner {
    justify-content: center;
  }

  .subscription-wrap {
    padding: 60px 40px;
  }
  /* subscription */

  /* modern comfort */

  .modern-comfort-center-wrap {
    top: 30px;
  }
  .common-design::before {
    max-width: 80%;
  }
  /* modern comfort */

  /* our-amenities */
  .our-amenities-inner .block-title span {
    font-size: 18px;
  }
  .our-amenities-inner .row > *:nth-child(even) .our-amenities-block {
    margin: 0;
  }
  /* our-amenities */

  .newly-built-comfort-content {
    padding: 40px;
    width: 63%;
  }
  .newly-built-comfort-right {
    width: 21%;
    /* margin: 0 0 0 auto; */
    height: 290px;
  }

  .newly-built-comfort-right * {
    width: 100%;
    height: 100%;
  }

  .newly-built-comfort-content .btn-wrap {
    margin-top: 20px;
  }

  .home-brew-image-block {
    min-height: 224px;
  }

  .home-brew-left {
    padding: 50px 0;
  }
  .home-brew-right-image {
    padding: 35px;
  }

  /* about page */
  .about-amenities {
    padding: 60px 0;
  }
  .about-amemities-item {
    max-width: 270px;
    width: 40%;
  }
  .about-amemities-item .our-amenities-icon {
    height: 60px;
    width: 60px;
  }
  .our-amenities-inner {
    margin: 20px 0 0 0;
  }
  /* about page */

  .common-design::before {
    background-size: contain;
  }

  .explore-tabbing-wrapper .nav .nav-item span {
    font-size: 25px;
  }
  .explore-tabbing-wrapper .nav {
    column-gap: 20px;
    row-gap: 20px;
  }

  .facilities-inner-slider {
    max-width: 814px;
  }

  .home-gallery-wrapper .filter-isotop-item {
    width: 33.2%;
  }
  .header .navbar-nav .nav-item:last-child .nav-link.btn:hover {
    background: var(--black-50) !important;
  }

  .header-socials ul li a svg {
    width: 20px;
    height: 20px;
  }

  .navbar-inner {
    flex-direction: column;
    align-items: center;
  }
}

/* ==================== [ 991px ] ==================== */
@media (max-width: 991px) {
  :root {
    --h1-fs: 46px;
    --h2-fs: 42px;
    --h3-fs: 34px;
    --h4-fs: 32px;
    --h5-fs: 22px;
  }

  .footer-inner .row > .col-md-6.col-lg-6 {
    order: -1;
  }
  .footer-left {
    max-width: 100%;
    padding-top: 0px;
  }
  .footer-center {
    align-items: flex-start;
  }
  .footer-center .desc * {
    text-align: left;
  }

  .footer-navigation {
    align-items: flex-start;
    padding: 0;
  }
  .footer-navigation ul {
    align-items: flex-start;
  }
  .footer-left > *:last-child {
    margin: 0;
  }

  .footer-bottom {
    flex-wrap: wrap;
    gap: 10px;
    justify-content: center;
  }

  /* modern comfort */

  .facilities-icon {
    height: 25px;
    width: 25px;
  }
  .facilities-in-rooms {
    bottom: 20px;
    left: 20px;
    right: 20px;
    padding: 20px 0 0 0;
  }
  .modern-comfort-description {
    padding: 80px 20px 0 20px;
  }

  /* modern comfort */

  .newly-built-comfort-main-inner {
    flex-wrap: wrap;
    max-width: 720px;
    margin: 0 auto;
    padding: 0 20px;
  }
  .newly-built-comfort-left {
    order: 1;
    width: 50%;
  }
  .newly-built-comfort-content {
    width: 100%;
    padding: 20px;
  }
  .newly-built-comfort-right {
    width: 50%;
    height: 100%;
    margin: 0;
  }

  .newly-built-comfort-main {
    padding: 60px 0;
  }

  .reach-out-form-wrapper .title * {
    text-align: center;
  }
  .reach-out-form-wrapper .detail * {
    text-align: center;
  }
  .reach-out-form-wrapper .btn {
    margin: 0 auto;
  }

  .home-brew-right-image-wrapper {
    position: relative;
    height: 100%;
    width: 100%;
  }

  .home-brew-right-image::after {
    height: 100%;
  }
  .home-brew-right-image {
    padding: 180px 0 100px 0;
    background-position: center !important;
  }
  .home-brew-right-image-title {
    position: relative;
    max-width: 740px;
    width: 100%;
    padding: 0 20px;
    margin: 0 auto;
  }
  .home-brew-right-image-title * {
    max-width: 100%;
  }

  .explore-rooms .tab-content .modern-comfort-image {
    height: 400px;
  }

  .facilities-inner-slider {
    max-width: 620px;
  }

  .newly-built-comfort-right,
  .newly-built-comfort-left {
    height: 390px;
  }

  .footer-inner .row > .col-md-6.col-lg-3:has(.footer-left) {
    order: 3;
  }

  .gallery-inner .filter-list ul {
    justify-content: flex-start;
    overflow-x: scroll;
  }
  .explore-tabbing-wrapper {
    overflow: hidden;
  }
  .explore-tabbing-wrapper .nav {
    column-gap: 20px;
    row-gap: 20px;
    flex-wrap: nowrap;
    justify-content: flex-start !important;
    overflow-x: scroll;
  }
  .explore-tabbing-wrapper .nav .nav-item {
    flex-shrink: 0;
  }

  .gallery-inner .filter-list ul li a {
    letter-spacing: 0.08em;
    font-size: 18px;
  }
  .gallery-main {
    padding: 60px 0;
  }
}

/* ==================== [ 767px ] ==================== */
@media (max-width: 767px) {
  :root {
    --h1-fs: 40px;
    --h2-fs: 40px;
    --h3-fs: 32px;
    --h4-fs: 30px;
    --h5-fs: 30px;
  }
  .btn {
    padding: 13px 24px;
  }
  .banner-content {
    padding: 150px 0 101px 0;
  }
  .banner-content .title::after {
    max-width: 374px;
  }

  .subscribe-form form .form-group .form-control {
    padding: 15px 145px 15px 15px;
  }
  .subscribe-form .btn {
    padding: 13px 18px;
  }

  .modern-comfort-awaits-inner {
    flex-direction: column;
    margin: 0 auto;
    padding: 0 20px;
    max-width: 540px;
  }
  .modern-comfort-center-wrap {
    width: 100%;
  }
  .modern-comfort-image {
    width: 100%;
    height: 300px;
  }
  .modern-comfort-center-wrap {
    top: 0px;
  }

  .our-amenities-block .our-amenities-icon {
    height: 70px;
    width: 70px;
    padding: 18px;
  }

  .nearby-places-main .modern-comfort-awaits-inner {
    padding: 0;
    max-width: 100%;
  }
  .explore-tabbing-wrapper .nav .nav-item span {
    font-size: 18px;
    line-height: 100%;
  }
  .explore-tabbing-wrapper .nav .nav-item {
    margin: 0 !important;
  }
  .explore-rooms .tab-content .modern-comfort-image {
    height: 380px;
  }
  .facilities-flex {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
  }

  .facilities-flex .facilities-in-rooms {
    justify-content: center;
  }
  .room-tabs .nav-link.room-pill {
    width: 90px;
    height: 33px;
  }
  .explore-rooms {
    padding: 70px 0;
  }

  .facilities-main-img-wrap .facilities-main-img {
    height: 450px;
  }
  .facilities-slider-main .slick-arrow.slick-next {
    right: 0;
    top: 45px;
    width: 32px;
    height: 32px;
  }
  .facilities-slider-main .slick-arrow.slick-prev {
    left: 5px;
    top: 45px;
    width: 32px;
    height: 32px;
  }

  .home-gallery-wrapper .filter-isotop-item {
    width: 50%;
  }
  .gallery-main .home-gallery-img {
    height: 250px;
  }

  .gallery-inner .filter-list ul li {
    margin: 0 10px;
  }

  .our-amenities-main {
    padding: 60px 0;
  }

  .reach-out {
    padding: 60px 0;
  }

  .gallery-inner .filter-list {
    margin: 0 auto 40px auto;
  }
  .header .navbar-brand {
    max-width: 60px;
  }
  .footer-center .footer-logo {
    max-width: 60px;
  }
  .footer {
    padding: 60px 0 0 0;
  }
}

/* ==================== [ 575px ] ==================== */
@media (max-width: 575px) {
  :root {
    --h1-fs: 32px;
    --h2-fs: 32px;
    --h3-fs: 30px;
    --h4-fs: 28px;
    --h5-fs: 26px;
  }

  .map-main iframe {
    height: 600px;
  }

  .subscription-wrap {
    padding: 25px;
  }
  .subscribe-form form .form-group {
    flex-direction: column;
    gap: 0px;
  }
  .subscribe-form form .form-group .btn {
    position: relative;
    width: 100%;
  }
  .subscribe-form form .form-group .form-control {
    padding: 15px;
  }
  .map-main iframe {
    width: 100%;
    height: 700px;
  }

  .newly-built-comfort-right,
  .newly-built-comfort-left {
    width: 100%;
    height: 320px;
  }
  .newly-built-comfort-main-inner {
    gap: 20px;
  }
  .home-brew-image-block {
    min-height: 190px;
  }
  .home-brew-image-wrap {
    row-gap: 10px;
    column-gap: 10px;
  }

  /* about page */

  .about-amemities-collection::before,
  .about-amemities-collection::after {
    display: none;
  }
  .about-amemities-item {
    max-width: 100%;
    width: 100%;
  }
  .about-amemities-collection {
    row-gap: 20px;
  }
  .about-amemities-item .our-amenities-icon {
    height: 50px;
    width: 50px;
  }
  /* about page */

  .nearby-attraction-block .nearby-attraction-image *,
  .nearby-attraction-block .nearby-attraction-image {
    height: 340px;
  }
  .about-place {
    gap: 6px;
    margin: 20px 0 0 0;
  }

  .gallery-inner .filter-list ul {
    row-gap: 10px;
  }

  .room-tabs .nav-link.room-pill {
    width: 129px;
    height: 40px;
  }

  .explore-rooms .tab-content .modern-comfort-image {
    height: 340px;
  }

  .room-tabs .nav-link.room-pill {
    width: 90px;
    height: 33px;
  }

  .facilities-main-img-wrap .facilities-main-img {
    height: 350px;
  }
  .home-gallery-wrapper .filter-isotop-item {
    width: 100%;
  }
  .gallery-main .home-gallery-img {
    height: 220px;
  }

  .header .nav-link.btn {
    font-size: 12px;
    border-radius: 9px !important;
  }

  .banner-content .title {
    padding-bottom: 40px;
  }
  .banner-wrapper .banner-content .title * {
    line-height: 100%;
  }
  .banner-content .title::after {
    bottom: -9px;
    max-width: 60%;
  }
}

@media (max-width: 390px) {
  :root {
    --h1-fs: 32px;
    --h2-fs: 28px;
    --h3-fs: 26px;
    --h4-fs: 24px;
    --h5-fs: 22px;
  }
}
